Package fr.gouv.vitam.ihmrecette.appserver

# Class WebApplicationConfig

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl
fr.gouv.vitam.ihmrecette.appserver.WebApplicationConfig

All Implemented Interfaces:
  `DbConfiguration`, `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

public class WebApplicationConfig extends DbConfigurationImpl
Web Application Configuration class

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WebApplicationConfig(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)`
  Default constructor (keep it ?)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUri()`
  `String`
  `getBaseUrl()`
  `String`
  `getClusterName()`
  `String`
  `getElasticsearchConfigurationFile()`
  `List<ElasticsearchNode>`
  `getElasticsearchNodes()`
  `FunctionalAdminAdmin`
  `getFunctionalAdminAdmin()`
  `FunctionalAdminIndexationConfiguration`
  `getFunctionalAdminIndexationConfiguration()`
  `int`
  `getIngestMaxThread()`
  `String`
  `getLogbookDbName()`
  `LogbookIndexationConfiguration`
  `getLogbookIndexationConfiguration()`
  `String`
  `getMasterdataDbName()`
  `String`
  `getMetadataDbName()`
  `MetadataIndexationConfiguration`
  `getMetadataIndexationConfiguration()`
  `String`
  `getPerformanceReportDirectory()`
  `int`
  `getPort()`
  `List<String>`
  `getSecureMode()`
  get secure mode
  `String`
  `getServerHost()`
  `String`
  `getSipDirectory()`
  `String`
  `getTestSystemReportDirectory()`
  `String`
  `getTestSystemSipDirectory()`
  `String`
  `getWorkspaceUrl()`
  `boolean`
  `isSecure()`
  `WebApplicationConfig`
  `setBaseUri(String baseUri)`
  `WebApplicationConfig`
  `setBaseUrl(String baseUrl)`
  `WebApplicationConfig`
  `setClusterName(String clusterName)`
  `WebApplicationConfig`
  `setElasticsearchConfigurationFile(String elasticsearchConfigurationFile)`
  `WebApplicationConfig`
  `setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)`
  `void`
  `setFunctionalAdminAdmin(FunctionalAdminAdmin functionalAdminAdmin)`
  `WebApplicationConfig`
  `setFunctionalAdminIndexationConfiguration(FunctionalAdminIndexationConfiguration functionalAdminIndexationConfiguration)`
  `void`
  `setIngestMaxThread(int ingestMaxThread)`
  `void`
  `setLogbookDbName(String logbookDbName)`
  `WebApplicationConfig`
  `setLogbookIndexationConfiguration(LogbookIndexationConfiguration logbookIndexationConfiguration)`
  `void`
  `setMasterdataDbName(String masterdataDbName)`
  `void`
  `setMetadataDbName(String metadataDbName)`
  `WebApplicationConfig`
  `setMetadataIndexationConfiguration(MetadataIndexationConfiguration metadataIndexationConfiguration)`
  `void`
  `setPerformanceReportDirectory(String performanceReportDirectory)`
  `void`
  `setPort(int port)`
  `void`
  `setSecure(boolean secure)`
  `void`
  `setSecureMode(List<String> secureMode)`
  `void`
  `setServerHost(String serverHost)`
  `void`
  `setSipDirectory(String sipDirectory)`
  `void`
  `setTestSystemReportDirectory(String testSystemReportDirectory)`
  `void`
  `setTestSystemSipDirectory(String testSystemSipDirectory)`
  `WebApplicationConfig`
  `setWorkspaceUrl(String workspaceUrl)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DbConfigurationImpl

  `getDbName, getDbPassword, getDbUserName, getMongoDbNodes, isDbAuthentication, setDbAuthentication, setDbName, setDbPassword, setDbUserName, setMongoDbNodes`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfiguration

  `isEnableSession, isEnableXsrFilter, setEnableSession, setEnableXsrFilter`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getJettyConfig, isAuthentication, isTenantFilter, setAuthentication, setJettyConfig, setTenantFilter`

- ## Constructor Details

  - ### WebApplicationConfig

    public WebApplicationConfig(List<MongoDbNode> mongoDbNodes, String dbName, String clusterName, List<ElasticsearchNode> elasticsearchNodes)
    Default constructor (keep it ?)
    Parameters:
      `mongoDbNodes` - nodes mongoDb
      `dbName` - mongoDb name
      `clusterName` - elastic search cluster name

- ## Method Details

  - ### getBaseUrl

    public String getBaseUrl()
    Returns:
      baseUrl

  - ### setBaseUrl

    public WebApplicationConfig setBaseUrl(String baseUrl)
    Parameters:
      `baseUrl` - the base url

  - ### getBaseUri

    public String getBaseUri()

  - ### setBaseUri

    public WebApplicationConfig setBaseUri(String baseUri)

  - ### isSecure

    public boolean isSecure()
    Returns:
      true if athentication needed, false otherwise

  - ### setSecure

    public void setSecure(boolean secure)
    Parameters:
      `secure` - the secure access value

  - ### getSipDirectory

    public String getSipDirectory()
    Returns:
      the directory path that contains SIPs ready for upload

  - ### setSipDirectory

    public void setSipDirectory(String sipDirectory)
    Parameters:
      `sipDirectory` - the directory path that contains SIPs ready for upload

  - ### getServerHost

    public String getServerHost()
    Returns:
      the server host

  - ### setServerHost

    public void setServerHost(String serverHost)
    Parameters:
      `serverHost` - the server host

  - ### getPort

    public int getPort()
    Returns:
      the port number

  - ### setPort

    public void setPort(int port)
    Parameters:
      `port` - the port number

  - ### getMasterdataDbName

    public String getMasterdataDbName()
    Returns:
      masterdata database name

  - ### setMasterdataDbName

    public void setMasterdataDbName(String masterdataDbName)
    Parameters:
      `masterdataDbName` - masterdata database name

  - ### getLogbookDbName

    public String getLogbookDbName()
    Returns:
      logbook database name

  - ### setLogbookDbName

    public void setLogbookDbName(String logbookDbName)
    Parameters:
      `logbookDbName` - logbook database name

  - ### getMetadataDbName

    public String getMetadataDbName()
    Returns:
      metadata database name

  - ### setMetadataDbName

    public void setMetadataDbName(String metadataDbName)
    Parameters:
      `metadataDbName` - metadata database name

  - ### getTestSystemSipDirectory

    public String getTestSystemSipDirectory()
    Returns:
      folder to store integration test

  - ### setTestSystemSipDirectory

    public void setTestSystemSipDirectory(String testSystemSipDirectory)
    Parameters:
      `testSystemSipDirectory` - folder to store integration test

  - ### getTestSystemReportDirectory

    public String getTestSystemReportDirectory()
    Returns:
      folder to store report of system test

  - ### setTestSystemReportDirectory

    public void setTestSystemReportDirectory(String testSystemReportDirectory)
    Parameters:
      `testSystemReportDirectory` - folder to store report of system test

  - ### getPerformanceReportDirectory

    public String getPerformanceReportDirectory()
    Returns:
      performance report directory

  - ### setPerformanceReportDirectory

    public void setPerformanceReportDirectory(String performanceReportDirectory)
    Parameters:
      `performanceReportDirectory` - performance report directory

  - ### getSecureMode

    public List<String> getSecureMode()
    get secure mode
    Returns:
      secure mode

  - ### setSecureMode

    public void setSecureMode(List<String> secureMode)
    Parameters:
      `secureMode` -

  - ### getIngestMaxThread

    public int getIngestMaxThread()

  - ### setIngestMaxThread

    public void setIngestMaxThread(int ingestMaxThread)

  - ### getFunctionalAdminAdmin

    public FunctionalAdminAdmin getFunctionalAdminAdmin()

  - ### setFunctionalAdminAdmin

    public void setFunctionalAdminAdmin(FunctionalAdminAdmin functionalAdminAdmin)

  - ### getWorkspaceUrl

    public String getWorkspaceUrl()

  - ### setWorkspaceUrl

    public WebApplicationConfig setWorkspaceUrl(String workspaceUrl)

  - ### getClusterName

    public String getClusterName()

  - ### setClusterName

    public WebApplicationConfig setClusterName(String clusterName)

  - ### getElasticsearchNodes

    public List<ElasticsearchNode> getElasticsearchNodes()

  - ### setElasticsearchNodes

    public WebApplicationConfig setElasticsearchNodes(List<ElasticsearchNode> elasticsearchNodes)

  - ### getFunctionalAdminIndexationConfiguration

    public FunctionalAdminIndexationConfiguration getFunctionalAdminIndexationConfiguration()

  - ### setFunctionalAdminIndexationConfiguration

    public WebApplicationConfig setFunctionalAdminIndexationConfiguration(FunctionalAdminIndexationConfiguration functionalAdminIndexationConfiguration)

  - ### getMetadataIndexationConfiguration

    public MetadataIndexationConfiguration getMetadataIndexationConfiguration()

  - ### setMetadataIndexationConfiguration

    public WebApplicationConfig setMetadataIndexationConfiguration(MetadataIndexationConfiguration metadataIndexationConfiguration)

  - ### getLogbookIndexationConfiguration

    public LogbookIndexationConfiguration getLogbookIndexationConfiguration()

  - ### setLogbookIndexationConfiguration

    public WebApplicationConfig setLogbookIndexationConfiguration(LogbookIndexationConfiguration logbookIndexationConfiguration)

  - ### getElasticsearchConfigurationFile

    public String getElasticsearchConfigurationFile()

  - ### setElasticsearchConfigurationFile

    public WebApplicationConfig setElasticsearchConfigurationFile(String elasticsearchConfigurationFile)